Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse PDE Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.pde.ui
Interface IFieldData

All Known Subinterfaces:
  IFragmentFieldData, IPluginFieldData

public interface IFieldData

The class that implements this interface is used to provide information captured in the 'New Plug-in Project' wizard pages as entered by the user. The information is the provided to other consumers when generating content so that the content can be configured/customized according to the data.

Since:
  2.0

Method Summary
`String` | `getId()` Plug-in identifier field.
`String` | `getLibraryName()` Plug-in library field
`String` | `getName()` Plug-in name field
`String` | `getOutputFolderName()` Output folder field
`String` | `getProvider()` Plug-in provider field
`String` | `getSourceFolderName()` Source folder field
`String` | `getVersion()` Plug-in version field.
`boolean` | `hasBundleStructure()` OSGi bundle selection
`boolean` | `isLegacy()` Legacy selection
`boolean` | `isSimple()` Simple project selection

Method Detail

### getId

    public String getId()

  Plug-in identifier field.

  Returns:
    plug-in identifier as entered in the wizard

### getVersion

    public String getVersion()

  Plug-in version field.

  Returns:
    plug-in version as entered in the wizard

### getName

    public String getName()

  Plug-in name field

  Returns:
    plug-in name as entered in the wizard

### getProvider

    public String getProvider()

  Plug-in provider field

  Returns:
    plug-in provider as entered in the wizard

### getLibraryName

    public String getLibraryName()

  Plug-in library field

  Returns:
    the name of the initial Java library

### getSourceFolderName

    public String getSourceFolderName()

  Source folder field

  Returns:
    the name of the Java source folder

### getOutputFolderName

    public String getOutputFolderName()

  Output folder field

  Returns:
    the name of the Java output folder

### isLegacy

    public boolean isLegacy()

  Legacy selection

  Returns:
    `true` if the plug-in is created for use with products based on Eclipse before release 3.0, `false` if the plug-ins is compatible with Eclipse 3.0.

### hasBundleStructure

    public boolean hasBundleStructure()

  OSGi bundle selection

  Returns:
    `true` if the plug-in has structure as expected by OSGi framework in Eclipse 3.0 runtime, `false` if the plug-in has standard pre-3.0 layout.

### isSimple

    public boolean isSimple()

  Simple project selection

  Returns:
    `true` if the plug-in should have no Java code and nature, `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse PDE Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.